Subject: Re: [ANNOUNCE] GIT 1.2.1

From: Andreas Ericsson <[email-masked]>
Date: Sat, 18 Feb 2006 11:39:41 +0100

Michael Fischer wrote:
> *sigh*
> 
> I got confused about git pull origin and git pull master.
> 
> Tutorial seems to tell me I should have said git pull origin
> and left well enough alone. 
> 
> Now I get:
> 
> fatal: you need to resolve your current index first
> 
> How do I do that?
> 

If you just want to clean the index so you can pull from origin again, 
you should be able to just do

	$ git reset --hard origin

If you've got local changes that has caused conflicts in the index you 
need to fix that up first and commit them.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231